Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.functions.extfn
Class Leading

    java.lang.Object
      net.sf.saxon.lib.ExtensionFunctionDefinition
          com.saxonica.functions.extfn.GeneralFilterFunction
              com.saxonica.functions.extfn.Leading

All Implemented Interfaces:
  Serializable

    public class Leading

extends GeneralFilterFunction

This class implements the saxon:leading() extension functions.

The first argument is a sequence S, the second a function F (defaulting to fn:data). The function returns the item or items I in the input sequence S up to and excluding the first one for which F(I) returns false.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.saxonica.functions.extfn.GeneralFilterFunction
`GeneralFilterFunction.GeneralFilterFunctionCall`

Constructor Summary
`Leading()`

Method Summary
`StructuredQName` | `getFunctionQName()` Get the function name, as a QName
`ExtensionFunctionCall` | `makeCallExpression()` Create a call on this function.

Methods inherited from class com.saxonica.functions.extfn.GeneralFilterFunction
`getArgumentTypes, getMaximumNumberOfArguments, getMinimumNumberOfArguments, getResultType`

Methods inherited from class net.sf.saxon.lib.ExtensionFunctionDefinition
`dependsOnFocus, getCompilerForJava, hasSideEffects, trustResultType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Leading

    public Leading()

Method Detail

### getFunctionQName

    public StructuredQName getFunctionQName()

  Get the function name, as a QName

  Specified by:
    `getFunctionQName` in class `ExtensionFunctionDefinition`
  Returns:
    the QName of the function

### makeCallExpression

    public ExtensionFunctionCall makeCallExpression()

  Create a call on this function. This method is called by the compiler when it identifies a function call that calls this function.

  Specified by:
    `makeCallExpression` in class `ExtensionFunctionDefinition`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.